Bug 1274255 (CVE-2015-7701) - CVE-2015-7701 ntp: slow memory leak in CRYPTO_ASSOC
Summary: CVE-2015-7701 ntp: slow memory leak in CRYPTO_ASSOC
Status: CLOSED ERRATA
Alias: CVE-2015-7701
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151021,repor...
Keywords: Security
Depends On: 1274351 1296207 1317795
Blocks: 1260670 1323912
TreeView+ depends on / blocked
 
Reported: 2015-10-22 11:29 UTC by Martin Prpič
Modified: 2019-06-08 20:48 UTC (History)
8 users (show)

(edit)
A memory leak flaw was found in ntpd's CRYPTO_ASSOC. If ntpd was configured to use autokey authentication, an attacker could send packets to ntpd that would, after several days of ongoing attack, cause it to run out of memory.
Clone Of:
(edit)
Last Closed: 2016-11-06 04:13:50 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0780 normal SHIPPED_LIVE Moderate: ntp security and bug fix update 2016-05-10 22:35:43 UTC
Red Hat Product Errata RHSA-2016:2583 normal SHIPPED_LIVE Moderate: ntp security and bug fix update 2016-11-03 12:08:36 UTC

Description Martin Prpič 2015-10-22 11:29:12 UTC
A memory leak flaw was found in ntpd's CRYPTO_ASSOC. If ntpd is configured to use autokey authentication, an attacker could send packets to ntpd that would, after several days of ongoing attack, cause it to run out of memory.

Mitigation:

Disable NTP autokey authentication by removing, or commenting out, all configuration directives beginning with the 'crypto' keyword in your ntp.conf file.

External References:

https://github.com/ntp-project/ntp/blob/stable/NEWS#L91
http://support.ntp.org/bin/view/Main/SecurityNotice#October_2015_NTP_Security_Vulner

Comment 1 Martin Prpič 2015-10-22 14:35:19 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1274351]

Comment 3 Fedora Update System 2015-11-02 18:52:55 UTC
ntp-4.2.6p5-34.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-11-04 22:49:31 UTC
ntp-4.2.6p5-34.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-02-21 02:25:14 UTC
ntp-4.2.6p5-36.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2016-05-10 20:17:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0780 https://rhn.redhat.com/errata/RHSA-2016-0780.html

Comment 12 errata-xmlrpc 2016-11-03 19:33:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2583 https://rhn.redhat.com/errata/RHSA-2016-2583.html


Note You need to log in before you can comment on or make changes to this bug.